Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Appel à contributeurs pour la doc.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 01/05/2017, à 16:50

yoritomo

[Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Bonjour

J'ai de gros ennuis depuis que j'essaye de faire fonctionner le logiciel de maintenance SMI qui n'est décidément pas compatible avec les versions actuelles de php et Mysql, les dernières versions supportées de celui-ci sont PHP 5.6 et Mysql 5.6, comme vous savez, sous ubuntu 16.04 ou son équivalent Mint 18.1 les versions PHP sont 7.0 et 7.1 et Mysql 5.7 par défaut.

Par le PPA de Ondrej je suis parvenu à installer PHP 5.6 le logiciel a donc pu démarrer mais rien ne fonctionne correctement parce que le code n'est pas à jour pour Mysql 5.7 pour lequel je n'ai pas trouvé de solutions satisfaisantes.
On m'a proposé de l'installer par un dépôt trusty, comme je me doutait au départ ce n'était pas une bonne idée.

Donc j'ai essayé le Xampp avec php 5.6, mais la version de mariaDB incluse n'est pas compatible non plus, mes données professionnelles se retrouvent emprisonnées, dans le logiciel SMI pourtant excellent mais qui même à sa dernière version 1.0.5 de ce mois reste inutilisable sur les distributions actuelles.

Si vous avez une idée ça me rendra grandement service, parce que après avoir tout essayé je vais être obligé de réinstaller Ubuntu 14.04 qui était franchement une rature.

Merci à tous

Dernière modification par yoritomo (Le 26/05/2017, à 12:30)


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#2 Le 01/05/2017, à 17:51

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

salut

on en parle ici : https://forum.ubuntu-fr.org/viewtopic.php?id=1996915
pour moi la solution est clairement à aller chercher du côté de docker.

Hors ligne

#3 Le 01/05/2017, à 17:53

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

d'ailleurs il existe des images docker pour SMI
https://hub.docker.com/r/8675309/smi-prod/

Hors ligne

#4 Le 01/05/2017, à 18:02

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

en gros tu installes docker puis un truc du style :

docker run -p 80:80 -v /var/www:/var/www -v /var/lib/mysql:/var/lib/mysql 8675309/smi-prod

Hors ligne

#5 Le 01/05/2017, à 20:24

grigouille

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

debian jessy ?


Xubuntu 16.04

Hors ligne

#6 Le 02/05/2017, à 00:00

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

grigouille:  Merci pour le conseil , Debian Jessy est effectivement une excellente distri mais , il s'agit d'un PC professionnel dont j'ai besoin quotidiennement, et réinstaller un OS et tout ce qui va avec encore une fois, va me causer beaucoup de problèmes.

krodelabestiole: Docker paraît intéressant , je ne connaissait pas encore, surtout qu'une image SMI est disponible, je l'ai donc installé, mais j'ai des ennuis pour le lancer, avec ce message :

yoritomo@yoritomo-desktop:~$ sudo docker run -p 80:80 -v /var/www:/var/www -v /var/lib/mysql:/var/lib/mysql 8675309/smi-prod
Unable to find image '8675309/smi-prod:latest' locally
Pulling repository docker.io/8675309/smi-prod
docker: Tag latest not found in repository docker.io/8675309/smi-prod.
See 'docker run --help'.

J'ai une autre inquiétude, comment savoir quelle version de SMI est utilisée par cette image ? Car ma base est actuellement compatible avec la version 1.0.4 d'une version à l'autre la base change.
Dans ce cas est il aussi facile de remettre à jour cette version comme en fonctionnement natif ?

Merci beaucoup


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#7 Le 02/05/2017, à 00:57

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

ouaipe on dirait qu'il y a un problème avec cette image. en plus y a aucune info dessus.

tu peux essayer de trouver une autre config qui te convienne sur https://hub.docker.com/ par ex : https://hub.docker.com/r/gilbitron/php5.6-mysql/ ou https://hub.docker.com/r/eksponent/php- … ql-xdebug/

une autre solution (à laquelle on arrive souvent en utilisant docker), est de créer sa propre config avec un dockerfile. tu peux t'inspirer de dockerfile existant, par ex. pour la première image voici le dockerfile : https://hub.docker.com/r/gilbitron/php5 … ockerfile/
on peut voir que l'image est basée sur ubuntu xenial (16.04) soit cette image : https://hub.docker.com/_/ubuntu/
ensuite on passe une série d'instructions avec apt-get. ("apt-get install -y" permet de répondre oui à tout en mode non interactif)
et en l'occurrence il ajoute le repo ondrej/php pour avoir php 5.6 ce qui me parait absurde. la 2e image m'a l'air mieux conçue (mais plutôt pour un serveur du dev).
mieux vaut se baser direct sur un debian qui supporte php 5.6 (debian:jessie , apt install php5).

comme les modifications effectuées sur les fichiers dans les images ne persistent pas après les builds (quand on relance ça reset), le mieux est de ne plus y toucher. l'intérêt de l'option -v (volume) est de créer une sorte de lien symbolique entre ton système et le container, ainsi les fichiers modifiés par le container seront persistés sur ton système. c'est donc particulièrement utile pour les bases de données (en principe stockées dans /var/lib/mysql) et les fichiers du site (en tout cas les répertoires d'upload) afin de sauvegarder les modifications.

Pour les paramètre du serveurs (php.ini et apache.conf par ex.) ce qui est recommandé c'est de copier sa config dans l'image au moment du build, donc dans le dockerfile avec la commande COPY :

COPY path/to/your/php.ini /etc/php/

attention pour /etc/php/ ça change en fonction de la distro et du serveur http. ça donnerait plutôt un truc comme /etc/php/5.6/apache2/php.ini


ensuite

docker build -f /path/to/a/Dockerfile

voilà à quoi ressemble un dockerfile debian / php5 :

FROM debian:jessie

RUN apt-get update && apt-get install -y \
        apache2 php5 php5-mysql php5-curl php5-mcrypt php5-xdebug \
    && apt-get clean \

RUN a2enmod rewrite

sinon voilà mon environnent de dev php5, basé sur l'image fournie par php et basée sur debian:jessie :

FROM php:5-apache

COPY php.ini /usr/local/etc/php/

RUN apt-get update && apt-get install -y \
        libfreetype6-dev \
        libjpeg62-turbo-dev \
        libpng12-dev \
        libmcrypt-dev \
        libxml2-dev \
        libicu-dev \
        libcurl4-openssl-dev \
    && apt-get clean \
    && docker-php-ext-install -j$(nproc) iconv mcrypt intl \
    && docker-php-ext-configure gd --with-freetype-dir=/usr/include/ --with-jpeg-dir=/usr/include/ \
    && docker-php-ext-install -j$(nproc) gd \
    && docker-php-ext-install mysql mysqli pdo pdo_mysql \
    && docker-php-ext-install gettext mbstring soap \
    && docker-php-ext-install curl \
    && docker-php-ext-install zip

RUN yes | pecl install xdebug \
    && echo "zend_extension=$(find /usr/local/lib/php/extensions/ -name xdebug.so)" > /usr/local/etc/php/conf.d/xdebug.ini \
    && echo "xdebug.remote_enable=on" >> /usr/local/etc/php/conf.d/xdebug.ini \
    && echo "xdebug.remote_autostart=off" >> /usr/local/etc/php/conf.d/xdebug.ini

RUN a2enmod rewrite

EXPOSE 80 443 9000

mais tu n'auras probablement pas besoin de xdebug
ensuite je fais des liens pour les volumes /var/www et /etc/apache2/sites-enabled , et je relie le port 80.
pour les db perso j'utilise un autre container. on peut relier facilement les containers entre eux et ça permet de tout rendre modulable.
mais sinon j'imagine que tu peux simplement relier le volume /var/lib/mysql

Dernière modification par krodelabestiole (Le 02/05/2017, à 04:00)

Hors ligne

#8 Le 02/05/2017, à 02:10

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

je viens de voir la doc, elle m'a l'air très bien faite et à jour : https://doc.ubuntu-fr.org/docker

Hors ligne

#9 Le 03/05/2017, à 22:39

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Bonsoir

Holala ça se corse un peu quand même, je n'ai jamais utilisé ce système qui paraît séduisant au premiers abords, mais assez technique, j'ai déjà fais un tour sur la doc aussi , et je n'ai eu aucun problème pour l'installation mais pour le reste ça me paraît un peu abstrait il va falloir que je me penche un peu là dessus, à moins que quelqu'un d'autre aie créé une image smi fonctionnelle.

Avec mon occupation professionnelle d'indépendant, j'ai de moins en moins de temps pour étudier de nouvelles solutions, je le déplore d'ailleurs, j'ai perdu en temps de perfectionnement.

Merci pour les explications


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#10 Le 04/05/2017, à 07:19

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

yoritomo a écrit :
Unable to find image '8675309/smi-prod:latest' locally
Pulling repository docker.io/8675309/smi-prod
docker: Tag latest not found in repository docker.io/8675309/smi-prod.

en fait ça veux dire ce que ça veut dire : il n'existe pas de version stable pour cette image. par contre il y a une release candidate.
donc pour info on peut l'installer avec 8675309/smi-prod:rc , mais après vérification ça n'a rien à voir avec ton SMI
il s'agirait plutôt de ça : https://github.com/silvacms/silva.core.smi

toi j'imagine que tu parles de ça : http://smi.no-ip.org/
c'est bizarre (et un peu foireux) qu'ils ne fournissent que du zip. pas de repo git ni composer (rien sur packagist.org), pas de traduction anglaise du site... ça a l'air d'être une petite structure isolée...
bref il n'existe malheureusement pas d'image docker SMI toute faite, et ça m'étonnerai qu'on en voie une apparaître avant un repo git ou composer.


mais ça n'empêche pas du tout de l'installer via docker. le plus simple est de trouver un dockerfile qui fournit le stack lamp direct, avec les bonnes versions.
j'ai regardé de plus près et il y a celui ci qui a l'air très bien : https://hub.docker.com/r/lioshi/lamp/ (basée sur debian jessie, php5, apache2, mysql)

donc tu créés des répertoires pour les fichiers du site et les bases de donnés :

mkdir ~/www ~/myslq
chmod 777 ~/www ~/myslq

puis tu lances le container avec

docker run -v ~/www:/var/www/html -v ~/myslq:/var/lib/mysql -p 80:80 -p 3306:3306 lioshi/lamp

à partir de là tu as ton serveur qui tourne :
http://localhost/
l'utilisateur par défaut pour les bases de données devraient être admin avec le mot de passe admin (hôte localhost).
les bases de données seront sauvegardées dans ton dossier ~/myslq
tu peux mettre les fichiers du site dans ton dossier ~/www.
j'ai testé en y mettant adminer (une alternative légère à phpmydamin) et ça fonctionne nickel. je te conseille d'en faire autant pour gérer tes bases de données (un seul fichier PHP à télécharger et placer dans ~/www).
// edit : en fait phpmyadmin est déjà installé dans http://localhost/phpmyadmin

par contre c'est du mysql 5.5 (le dernière version pour jessie). SMI recommande du 4.1. bon je pense quand même que ça devrait aller.
mysql 5 est sortit en 2003, et 5.5 en 2010.
faudrait quand même que leur script soit compatible à un moment !
sinon je te conseille de leur envoyer un message ou de changer de techno. (et je pense pas que tu auras de version antérieure sur ubuntu 14.04)

Dernière modification par krodelabestiole (Le 04/05/2017, à 12:52)

Hors ligne

#11 Le 04/05/2017, à 15:50

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

rédaction d'un tuto en cours : https://doc.ubuntu-fr.org/docker_lamp

Hors ligne

#12 Le 09/05/2017, à 20:12

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Bonsoir

Super travail ce tuto je vais le lire attentivement, êtes vous développeurs de ce logiciel ?


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#13 Le 09/05/2017, à 21:08

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

En suivant le tutoriel, j'ai réussi à lancer l'image mais j'ai eu ceci comme ennui :

860ba2172be9: Pull complete
67bab254947f: Pull complete
25541b8f51a4: Pull complete
578a4de4fdb5: Pull complete
Digest: sha256:5da425eb18860099985f2bb98a31ff7780cf4435027202045e05ac4dce85e1fc
Status: Downloaded newer image for abhayagiri/php-5.6-apache:latest
Creating testdocker_db_1

ERROR: for db  Cannot start service db: driver failed programming external connectivity on endpoint testdocker_db_1 (184594bdd661110060d761ace6704c336a9474f47c956a519c1452abe0c296ad): Error starting userland proxy: listen tcp 0.0.0.0:3306: bind: address already in use
ERROR: Encountered errors while bringing up the project.

Que j'ai pu  résoudre en arrêtant le mysql et apache2 préinstallé dans Ubuntu comme ceci:

sudo service apache2 stop
sudo service mysql stop

Ensuite en retapant la commande en sudo docker s'est lancé, mais j'ai quand même un ennui au lancement de la page PHP de SMI .

Il faut que l'extension MySQLi soit installée

Comment faire donc pour installer les paquets supplémentaires et lequel manque ?

Enfin il serait bien que je puisse partager ma configuration une fois opérationnelle pour en faire profiter tout le monde.

Encore merci et bonne soirée.


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#14 Le 09/05/2017, à 21:56

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

yoritomo a écrit :

Super travail ce tuto je vais le lire attentivement, êtes vous développeurs de ce logiciel ?

merci smile non non je ne développe pas docker.

alors effectivement on peut le voir dans son dockerfile, abhayagiri a installé l'extension pdo_mysql mais pas mysqli.

on pourrait essayer avec cette image qui a l'air plus complète : https://hub.docker.com/r/lavoweb/php-5.6/~/dockerfile/

on peut l'utiliser de la même manière avec docker-compose.yml :

version: '2'

services:
    web:
        image: lavoweb/php-5.6
        ports:
            - "80:80"
        volumes:
            - ~/www:/var/www/html
        links:
            - db:db
    db:
        image: mysql:5.5
        volumes:
            - ~/mysql:/var/lib/mysql
        ports:
            - "3306:3306"
        environment:
            - MYSQL_ROOT_PASSWORD=root
    myadmin:
        image: phpmyadmin/phpmyadmin
        ports:
            - "8080:80"
        links:
            - db:db

Dernière modification par krodelabestiole (Le 09/05/2017, à 22:10)

Hors ligne

#15 Le 09/05/2017, à 22:31

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Maintenant ça semble fonctionner, mais je ne peux pas lancer phpmyadmin , erreur 403 forbidden.

Et quand j'essaie de configurer mysql en console à ça me donne ça :

yoritomo@yoritomo-desktop:~$ mysql -u root -p
Enter password:
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)

Pourtant j'ai bien pris la précaution de stopper le mysql natif d'ubuntu.


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#16 Le 09/05/2017, à 22:41

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

chez moi ça marche, pas de 403. phpmyadmin devrait être sur le port 8080 : http://localhost:8080

MySQL est maintenant dans un container, pas sur la machine hôte. On peut y accéder en ligne de commande avec en principe :

docker exec -ti yoritomo_db_1 mysql -u root -p

(si on a besoin d'une commande de ce type souvent on peut évidemment créer un alias)

Dernière modification par krodelabestiole (Le 09/05/2017, à 22:42)

Hors ligne

#17 Le 10/05/2017, à 22:19

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Bonsoir

Merci, j'ai pu accéder à phpmyadmin et j'y ai installé la base de données requise, mais je me pose quand même encore des questions.

Quand j'essaye d'accéder à la page de SMI par localhost/smi j'obtiens ça :

Warning: mysqli::mysqli(): (HY000/2002): No such file or directory in /var/www/html/smi/classes/ezSQL/mysqli/ez_sql_mysqli.php on line 97

Warning: Error establishing mySQLi database connection. Correct user/password? Correct hostname? Database server running? in /var/www/html/smi/classes/ezSQL/mysqli/ez_sql_mysqli.php on line 102

Warning: Unexpected error while trying to select database in /var/www/html/smi/classes/ezSQL/mysqli/ez_sql_mysqli.php on line 149

Warning: mysqli::mysqli(): (HY000/2002): No such file or directory in /var/www/html/smi/classes/ezSQL/mysqli/ez_sql_mysqli.php on line 97

Warning: Error establishing mySQLi database connection. Correct user/password? Correct hostname? Database server running? in /var/www/html/smi/classes/ezSQL/mysqli/ez_sql_mysqli.php on line 102

Warning: Unexpected error while trying to select database in /var/www/html/smi/classes/ezSQL/mysqli/ez_sql_mysqli.php on line 149

Dans ce cas /var/www/html/smi.... est celui en virtuel à l'intérieur de docker ou le chemin réel dans mon disque ? Il semble ignorer ma base de données alors que le fichier de configuration semble correct, je dois bien y insérer les liens virtuels comme celui que je viens d'énoncer ?


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#18 Le 11/05/2017, à 01:37

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

faut bien définir
user root
password root
hostname db
prefix probablement smi_

mais sinon ce message d'erreur est louche :

mysqli::mysqli(): (HY000/2002): No such file or directory in /var/www/html/smi/classes/ezSQL/mysqli/ez_sql_mysqli.php on line 97

no such file or directory ? alors qu'il est sensé se connecter à une base de données... ?
malheureusement j'ai essayé d'installer la version 1.0.5 et ça ne fonctionne pas. il y a des erreurs de syntaxe monstrueuses dans le fichier sql qu'ils fournissent avec lequel on est sensé faire l'install...
j'ai pas envie de perdre du temps à debugger un script vieux de 1000 ans. il faudrait contacter le support pour qu'ils corrigent ça.

je viens de tester ce script avec cet environnement docker :

<?php

$hostname = "db";
$username = "root";
$password = "root";
$database = "smi";

$mysqli = new mysqli($hostname, $username, $password, $database);
if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}
else {
  echo 'connection ok';
}

?>

et ça fonctionne. la connection se fait et si je me plante dans le nom d'hôte, le nom de la db, ou l'identifiant j'ai un message d'erreur explicite.

tu pourrais poster le contenu de ton fichier www/smi/install/prm.inc.php stp ?

Hors ligne

#19 Le 16/05/2017, à 23:12

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Bonsoir

Encore merci pour votre implication et désolé pour le délai de réponse, je suis tellement occupé de ces temps ci ...

En fait la version 1.0.5 vient de sortir ce mois d'avril donc c'est récent, mais je ne sais pas pourquoi il s'obstine à la faire tourner sur d'anciennes versions de PHP et MySQL , c'est plutôt dommage étant donné que ce logiciel est formidable dans son domaine.

Où faut il insérer ce fameux script ?

Voici mon fichier prm.inc.php , curieusement la version du fichier est toujours signée 1.0.3

<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.3
 *
 * Copyright (C) 2006-2015  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

//////////////////////////////////////////////////////////////////////////////////
/// Vous pouvez modifier ces variables en fonction de votre configuration      ///
//////////////////////////////////////////////////////////////////////////////////

/************************************************/
/**        Language de l'application           **/
/************************************************/

// Language par défaut de l'application (pris sur le browser)
$lng_appli = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);


/************************************************/
/**        Fuseau Horaire du serveur           **/
/************************************************/
date_default_timezone_set('Europe/Paris');

/**************************************************/
/**        Répertoire de l'application           **/
/**************************************************/

define('REP', 'smi');    // Répertoire de l'application

$rep_appli = $racine_web . '/' . REP;        // Chemin web absolu vers l'application

/*******************************************/
/**        Nom de la base MySQL           **/
/*******************************************/

define('DBNAME', 'smi');                // Nom de la base de données
define('PREFIXE', 'smi');                // Préfixe des noms des tables

/*************************************************************/
/**               Constantes des bases MySQL                **/
/*************************************************************/

// login/mot de passe Administrateur par défaut (créé la 1ère fois)

$admin_code = 'Administrateur';            // Code 'Administrateur'
$admin_mdp = 'Administrateur';                // Mot de passe 'Administrateur'


// Constantes de connexion à la base MySQL

define('DBUSER', 'yoritomo');                // Utilisateur MySQL
define('DBPASS', 'golf');        // Mot de Passe pour MySQL
define('DBHOST', 'localhost');        // Adresse IP du serveur MySQL


/****************************************************/
/**        Variables des téléchargements           **/
/****************************************************/

/*************************************************************/
/** Constantes et variables pour la gestion des icônes      **/
/** pour les statuts et des logos pour les agences,         **/
/** et les applications complémentaires                     **/
/*************************************************************/

// Constantes & Variables des répertoires pour les fichiers internes et téléchargés, et les sauvegardes

$url_gfc = $root . 'smi/telechgt/fictec';                // Chemin REEL complet pour la gestion des fichiers techniques
//$url_gfc = '/srv/www/datas/smi/telechgt/fictec';				// Chemin REEL complet pour la gestion des fichiers techniques
$url_tfc = '/var/www/html/smi/telechgt/fictec/';                    // Chemin REEL depuis la racine pour le téléchargement des
// fichiers techniques
$url_svg = $root . 'smi/svg/';                        // Chemin REEL vers le répertoire des sauvegardes
//$url_svg = '/srv/www/datas/smi/svg/';						// Chemin REEL vers le répertoire des sauvegardes

// Extensions autorisées
$extensions_ok = ['.png', '.zip', '.pdf', '.7z', '.txt', '.csv', '.rtf', '.wk1', '.wks', '.123', '.iso', '.xls', '.doc',
    '.ods', '.odt', '.odg', '.odp', '.odb', '.sxw', '.sxi', '.sti', '.sxd', '.gz', '.tar', '.gif', '.rar', '.arj', '.jpg', '.ppt', '.exe', '.jpg',
    '.gif', '.bmp'];

// Tailles maximum (en octets) des fichiers pouvant être téléchargés
// (Pensez à contrôler votre PHP.INI)
$taille_maxi_admin = 1024 * 6000;
$taille_maxi_cge = 1024 * 6000;
$taille_maxi_age = 1024 * 3000;
$taille_maxi_tec = 1024 * 2000;

/*******************************************/
/**        Variables des icônes           **/
/*******************************************/

// Constantes & Variables des répertoires icônes et images

/***********[ TRES TRES IMPORTANT SOUS LINUX !!! ]***************/
/**                                                            **/
/** pensez à changer le propriétaire du répertoire des icônes  **/
/** en le passant sous le même propriétaire que celui qui      **/
/** exécute les scripts, sinon, rien ne s'affichera.           **/
/** Par exemple 'chown wwwrun /srv/www/htdocs/maint/icones'    **/
/**                                                            **/
/****************************************************************/

$chemin_icones = '../icones';                    // Chemin relatif vers les icônes
$url_logos = $rep_appli . '/logos';                // Chemin complet vers le dossier de stockage des logos
$chemin_logos = '../logos';                        // Chemin relatif vers les logos
$cheminr_logos = $root . REP . '/logos';            // Chemin REEL vers les logos
$chemin_images = '../img';                        // Chemin relatif vers les images

/*************************************************************/
/**        Constantes & Variables pour les emails           **/
/*************************************************************/

$admin_name = '';                // Nom de l'Administrateur
$admin_mail = '';            // Email de l'Administrateur

// Coordonnées du serveur smtp de votre FAI

$smtp_nom = '';            // Nom du serveur SMTP
// Vous pouvez en donner plusieurs (séparez-les avec des ';')
$smtp_port = 25;                        // Port du serveur SMTP
$smtp_login = '';                        // Login du serveur SMTP (si serveur avec authentification...laisser vide si pas d'authentification)
$smtp_mdp = '';                            // Mot de passe du serveur SMTP (si serveur avec authentification...laisser vide si pas d'authentification)
$smtp_pausem = 5;                        // Pause en secondes entre chaque envoi de mail (emailings)
$smtp_secure = '';                        // Mode de sécurité SMTP ('ssl', 'tls', ou rien)
// SMI n'en tien compte que s'il y a un login
$pop_before = false;                    // Si true, on fait un 'POP before SMTP', sinon rien
$pop_nom = '';                            // Non du serveur POP3 (SMI n'en tient compte que si 'POP before STMP')
$pop_port = 110;                        // Port du serveur POP3 (SMI n'en tient compte que si 'POP before STMP')
$pop_timeout = 30;                        // Time Out du serveur POP3 (SMI n'en tient compte que si 'POP before STMP')
$pop_login = '';                        // Login du serveur POP3 (SMI n'en tient compte que si 'POP before STMP')
$pop_mdp = '';                            // Mot de passe du serveur POP3 (SMI n'en tient compte que si 'POP before STMP')


/***************************************************/
/**        Applications complémentaires           **/
/***************************************************/

$url_cal = '';                                    // Racine de l'application calendrier / agenda
$url_fac = '';                                    // Racine de l'application facturation
$url_facc = '';                                    // Racine de l'application facturation client

Dernière modification par yoritomo (Le 16/05/2017, à 23:19)


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#20 Le 16/05/2017, à 23:47

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

yoritomo a écrit :
define('DBUSER', 'yoritomo');                // Utilisateur MySQL
define('DBPASS', 'golf');        // Mot de Passe pour MySQL
define('DBHOST', 'localhost');        // Adresse IP du serveur MySQL

c'est tout faux.
il faut remplacer par :

define('DBUSER', 'root');                // Utilisateur MySQL
define('DBPASS', 'root');        // Mot de Passe pour MySQL
define('DBHOST', 'db');        // Adresse IP du serveur MySQL

Hors ligne

#21 Le 20/05/2017, à 22:10

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Bonsoir

Premièrement je précise que le mot de passe est bien sûre faux, je n'allait pas poster un vrai mote de passe.. Mais c'est bien le nom d'utilisateur que j'ai utilisé.

Root et db ça ne se peut pas parce que j'ai manuellement créé avec le phpmyadmin virtuel une base nommée 'smi' , j'ai créé l'utilisateur 'yoritomo' j'y ai attribué un mot de passe et donné les droits sur la base comme demandé par l'auteur de SMI, alors avec smi il faut commencer par initialiser la base avec le fichier sql situé dans le dossier smi/install/sql/smi_1.0.5.sql , ce qui attribue les identifiants par défaut pour le logiciel 'Administrateur' mdp 'Administrateur', ce sont toutes les étapes à réaliser pour l'installation de smi en dur sans virtualisation.


Avez vous pu lancer SMI ?


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#22 Le 20/05/2017, à 22:54

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

yoritomo a écrit :

Root et db ça ne se peut pas

sisi, ça se peut wink

Hors ligne

#23 Le 20/05/2017, à 23:01

krodelabestiole

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

en gros il est inutile de créer un utilisateur de base de donnée pour smi si on ne l'utilise qu'en local, et qu'on n'ouvre pas les ports concernés de sa machine vers le www.
donc autant utiliser root / root dont on sait qu'il fonctionne avec les images indiquées.
db c'est le nom de serveur de base de données pour le container web, et oui c'est bien db et aucun cas localhost

Hors ligne

#24 Le 21/05/2017, à 00:11

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

J'ai suivi le conseil, malheureusement les messages d'erreur dans l'explorateur restent les mêmes, je commence doucement à me refaire à l'idée de repasser en 14.04, ça posait pas mal d'inconvénients, mais sans mon logiciel commercial plus rien n'est pareil, Dolibarr c'est bien mais ne me convient pas autant que SMI au niveau des interventions.

C'est quand même le gros défaut de PHP et MySql la rétroportabilité est déplorable.


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne

#25 Le 26/05/2017, à 12:27

yoritomo

Re : [Résolu]Xampp avec php 5.6 et Mysql 5.6 sous 16.04 ?

Bonjour

De bonnes nouvelles à vous annoncer , sur ma machine principale, j'ai repris toute la procédure à zéro en suivant le tutoriel et en tenant compte des informations de ce post, j'ai ensuite copié les fichiers de SMI dans le répertoire www ainsi créé, dans le prm.inc.php de smi j'y ai mis, Admin et mot de  passe admin, hôte "db" 
Ensuite j'ai accédé à la page de phpmyadmin(docker) par http://localhost:8080 pour y créer une base de données vide pour smi auquel j'ai importé le fichier d'initialisation de base de smi , puis j'y ai importé ma dernière sauvegarde de base smi.

Au lancement de la page de smi par http://localhost/smi/ tout paraissait se présenter parfaitement, au test d'encodage d'une intervention je constate que tout refonctionne à nouveau normalement .

Je n'ai pas d'autres mots, Docker est vraiment une excellente solution qui ouvre beaucoup de portes dans des impasses de rétro-compatibilité.

Un tout grand merci pour votre aide complète et détaillée qui devrait aider pas mal d'autres personnes dans le même cas.

Dernière modification par yoritomo (Le 27/05/2017, à 22:14)


- Xubuntu 16.04 Xenial Xerus;
- KXStudio 14.04 (based on Ubuntu);
- Mint Sarah 18.1;
- Mageia 5;

Hors ligne